1
vote
1answer
522 views

Error while loading shared libraries: libdl.so.2 (and others), no such file. Libraries exist

Attempting to install a Java application from a .bin file. When opening the installer from command line, I see these errors: [boxen]# ./ZendStudio-5_2_0.bin Preparing to install... Extracting the ...
0
votes
1answer
32 views

Where is <libraryname>.pc?

When installing a library with configure, make and make install, does make install copy <libraryname>.pc to some place? If yes: Where is it? If no: Should we copy it somewhere rather than ...
3
votes
2answers
140 views

How To Convert .run Installer to .deb Installer?

I'm running Ubuntu 14.04. I have many 3rd party system libraries which I use for projects, but managing library installation is difficult. Some libraries are .deb files, some are built from source ...
0
votes
1answer
100 views

Can I install libXcomposite.so without the root permission?

I got this error when I execute dropbox on CentOS. ImportError: libXcomposite.so.1: cannot open shared object file: No such file or directory I don't have a root account. Output of uname -a: ...
3
votes
1answer
348 views

How do I maintain a separate (newer) glibc / gcc / … stack as non-root on Linux

Our computation cluster runs a very old version of CentOS, with an old Kernel (2.6.18) and, of course, old libs and binaries. Because updating the whole thing requires a lot of work on all the nodes, ...
2
votes
1answer
1k views

Why I got error: `error while loading shared libraries: libmpich.so.3`?

I installed mpich-3.0.4 not in a default location. I installed it based on the mpich installer's guidance. However when I try to run: mpiexec -n 4 -f machinefile ./mpich-3.0.4/examples/cpi It ...
0
votes
0answers
97 views

Install qtile 1.6 from the source

I try to install qtile from the source, you can see also this link: Install libxcb from source When I try to launch qtile I have this error, I do not understand why: Traceback (most recent call ...
2
votes
2answers
3k views

How to install a custom boost version in CentOS?

I'm trying to compile and install boost 1.54 from source in CentOS. The documentation is pretty straight forward and there are plenty of tutorials in the internet available (1) (2) (3). This is what ...
2
votes
2answers
224 views

Where are my ALSA, pulseaudio lib

I tried to install darkice with lame. To compile it, I need ALSA and Pulsaudio: checking for lame library at /usr ... found at /usr checking for vorbis libraries at /usr ... configure: WARNING: not ...
0
votes
2answers
281 views

Adding ALSA module in Python in Linux

I have recently started working in linux, I wanted to to add ALSA module in my Python. I have used this, sudo apt-get install libasound2-dev After that I've installed pyalsa package, pyalsa ...
1
vote
1answer
416 views

Installation of MPFR previous versions of GMP clash

So it's a common error when installing MPFR that if more than one version of libgmp are installed you hit errors. This is quite well documented in the INSTALL file, If I run locate libgmp the result ...
1
vote
1answer
1k views

libpng warning: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.2.39 libpng warning: Application is running with png.c from libpng-1.4.0 libpng warning: Incompatible libpng version in application ...
1
vote
0answers
506 views

Having a problem installing snort on fedora 17 [closed]

I've installed the latest versions of libpcap and libdnet. There is however a problem with daq. I configured snort with --wth-daq-libraries=/usr/local/lib/daq and --with-libpcap-libraries=/usr/lib ...
0
votes
1answer
303 views

pattern to install dependencies in linux

Different OSes have different standard way of installing package dependencies; in OS X, all library dependencies are copied in the App folder. Windows application developers have both options; they ...
0
votes
1answer
3k views

How to manually uninstall urllib, urllib2, requests python packages?

I'm having a problem with urllib, urllib2 and requests, three python libraries. I use Ubuntu 10.04.4 LTS and python 2.6.5 (we can use with python) (but I had installed manually, after the problem, ...
0
votes
1answer
817 views

zlib support for PIL won't work

I'm trying to install PIL as per its instruction on debian but can't figure how to fix this bit: I get --- ZLIB (PNG/ZIP) support available on build_ext and * ZLIB (PNG/ZIP) support not installed on ...
2
votes
1answer
1k views

Installing flash player for Firefox

I would like to install Flash player for Firefox on Linux. I downloaded the .tar.gz, and there are some compiled shared libraries. I am not sure how to make them work, and I am looking for a hint. ...
3
votes
1answer
686 views

libstdc++.so.3 => not found on CloudLinux, no SuperUser permissions, seemingly in chroot.

I am trying to install the Linux x64 BOINC command-line interface client on a CloudLinux machine with x86_64 Architecture. When I try to run the executable I get an error: ./boinc: error while ...
2
votes
5answers
452 views

Bash script that can test for a particular lib

I'm writing a bash script that needs to test if certain libs are installed on a VPS, and if they're not, the script will install them. My problem is being able to have the script determine if they ...